=== debian/changelog ===
libgdchart-gd2 (0.11.5-12.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not Depends on dummy dh-buildinfo
  * Drop debian/control.in
  * Remove code related to new upstream release that will never happen
    & upstream-tarball.mk logic removed from CDBS in favor of uscan

 -- Alexandre Detiste <tchet@debian.org>  Sun, 05 Oct 2025 14:19:22 +0200

libgdchart-gd2 (0.11.5-12.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop including /usr/share/cdbs/1/rules/upstream-tarball.mk
  * Switch debian/watch to v4

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Aug 2025 16:05:05 +0200

libgdchart-gd2 (0.11.5-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixing build with GCC-14 (Closes: #1075170)

 -- Pierre Gruet <pgt@debian.org>  Sat, 27 Jul 2024 14:30:47 +0200

libgdchart-gd2 (0.11.5-12) unstable; urgency=medium

  * Team upload.
  * d/control: Mark the -{non,}xpm packages as conflicting with their
    counterparts. Closes: #1067215

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Mar 2024 13:02:15 +0100

libgdchart-gd2 (0.11.5-11) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Michael R. Crusoe ]
  * d/patches/1003_string_include.patch: add missing include. Closes:
    #1066345, #1065971
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * d/control: remove obsolete references to the binary packages
    libgdchart & libgdchart-gd2-dev.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Mar 2024 17:31:08 +0100

libgdchart-gd2 (0.11.5-10) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Move to salsa.d.o
  * Standards-Version: 4.1.3

  [ Matthias Klose ]
  * gdc.h: Remove make dependencies on system headers
    Closes:  #641692 (LP: #831241)

  [ Antonios Christofides ]
  * Add debian/README.Debian to save users trouble to find out usage
    Closes: #242936

  [ Helmut Grohne ]
  * Fix FTCBFS: Use a triplet-prefixed CC
    Closes: #880360

 -- Andreas Tille <tille@debian.org>  Wed, 28 Feb 2018 17:33:10 +0100

libgdchart-gd2 (0.11.5-9) unstable; urgency=medium

  * Team upload
  * Drop libgd2-noxpm-dev substitution
    Closes: #880872
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 13 Nov 2017 08:07:54 +0100

libgdchart-gd2 (0.11.5-8) unstable; urgency=medium

  * Team upload
  * Standards-Version: 3.9.6
  * debhelper 9
  * Build-Depends: libgd-dev instead of libgd2-noxpm-dev (>> 2.0.28)
    Closes: #791842

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jul 2015 12:02:51 +0200

libgdchart-gd2 (0.11.5-7) unstable; urgency=low

  * Drop local CDBS snippets: All included in main cdbs package now.
    Local snippets might have been incompatible with recent releases of
    cdbs and contribute to a FTBFS.
    Closes: bug#564374. Thanks to Lucas Nussbaum and Philipp Kern.
  * Tighten build-dependency on cdbs and debhelper.
  * Switch to source format 3.0 (quilt).
  * Bump standards-version to 3.9.1.
  * Build-depend on dh-buildinfo.
  * Fix depend on ${misc:Depends}, thanks to lintian.
  * Development moved to Git:
    + Update Vcs-* stanzas.
    + Add git-buildpackage config, enabling sign-tags and pristine-tar.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Sep 2010 05:42:23 +0200

libgdchart-gd2 (0.11.5-6) unstable; urgency=medium

  * Set urgency=medium as last packaging included a FTBFS bugfix
    (similar to bug#487066).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jun 2008 20:50:23 +0200

libgdchart-gd2 (0.11.5-5) unstable; urgency=low

  * Invoke svn-upgrade (not uupdate) in debian/watch.
  * Move Vcs-* and Homepage to own fields in debian/control.
  * Update local cdbs tweaks:
    + Major updates to copyright-check.mk, most importantly relax to
      only warn by default.
    + Drop buildcore.mk (set hints manually instead as needed).
    + Various updates to update-tarball.mk, including changed wget
      options to work with recent versions of wget.
    + Cosmetic updates to README.cdbs-tweaks.
    + Update dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jun 2008 17:37:51 +0200

libgdchart-gd2 (0.11.5-4) unstable; urgency=low

  * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
  * Bump standards-version to 3.7.2 (no changes needed).
  * Tighten d-shlibs build-dependency and adjust -noxpm override, to fix
    resolving -dev dependencies with recent libgd2 releases. Closes:
    bug#427326, thanks to Lucas Nussbaum and Luis Rodrigo Gallardo Cruz.
  * Drop deprecated fallback build-dependencies on xfree86 packages, and
    override similar dependencies resolved by d-shlibs.
  * Update CDBS tweaks:
    + Add new upstream-tarball.mk: Add get-orig-source target and more.
    + Add new copyright-check.mk: Fail building if source contains new
      or changed copyrights.
    + Update buildinfo.mk: Fix touchfile to run only once.
    + Add new buildcore.mk: Enable auto-updating build-dependencies in
      debian/control when DEB_BUILD_OPTIONS contains cdbs-autoupdate
      (replacing similar custom tweak in debian/rules).
    + Add README.cdbs-tweaks documenting the added tweaks.
    + Advertise README.cdbs-tweaks in debian/rules.
    + Use patchsys-quilt (instead of simple-patchsys).
    + Declare (and strip duplicate) build-dependencies in debian/rules.
  * Use binNMU-safe ${binary:Version} (not ${Source-Version}) in
    debian/control.
  * Semi-auto-update debian/control:
      DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Sep 2007 13:09:48 +0200


