=== debian/control ===
Source: libgdchart-gd2
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Section: libs
Priority: optional
Build-Depends: cdbs,
               debhelper (>= 9),
               libgd-dev,
               libxpm-dev,
               libxt-dev,
               d-shlibs
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/libgdchart-gd2
Vcs-Git: https://salsa.debian.org/debian/libgdchart-gd2.git
Homepage: http://www.fred.net/brv/chart/
Rules-Requires-Root: no

Package: libgdchart-gd2-noxpm-dev
Architecture: any
Section: libdevel
Depends: ${devlibs:Depends},
         libgdchart-gd2-noxpm (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libgdchart-gd2-xpm-dev
Description: Generate graphs using the GD library (development version)
 A library for generating nice 2d and 3d graphs with the use of GD.
 .
 This is the full development version of the library, built against GD 2.x
 library and without XPM (X pixmap) support.

Package: libgdchart-gd2-xpm-dev
Architecture: any
Section: libdevel
Depends: ${devlibs:Depends},
         libgdchart-gd2-xpm (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libgdchart-gd2-noxpm-dev
Description: Generate graphs using the GD library (development version)
 A library for generating nice 2d and 3d graphs with the use of GD.
 .
 This is the full development version of the library, built against GD 2.x
 library and with XPM (X pixmap) support.

Package: libgdchart-gd2-noxpm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgdchart-gd2-xpm
Description: Generate graphs using the GD library
 A library for generating nice 2d and 3d graphs with the use of GD.
 .
 This is the runtime package of the library, built against GD 2.x
 library and without XPM (X pixmap) support.

Package: libgdchart-gd2-xpm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgdchart-gd2-noxpm
Description: Generate graphs using the GD library
 A library for generating nice 2d and 3d graphs with the use of GD.
 .
 This is the runtime package of the library, built against GD 2.x
 library and with XPM (X pixmap) support.
