=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
http://www.fred.net/brv/chart/download.htm .*gdchart([\.0-9]+)dev.tar.gz debian svn-upgrade
